Bug 727975 - Profiles are all missing
Summary: Profiles are all missing
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: libgnome-media-profiles
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Yanko Kaneti
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-03 20:11 UTC by Adam Williamson
Modified: 2013-02-26 15:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-26 15:18:46 UTC


Attachments (Terms of Use)

Description Adam Williamson 2011-08-03 20:11:55 UTC
libgnome-media-profiles doesn't seem to be able to find any of its profiles at the moment, in F16. sound-juicer complains on startup that the currently selected profile is unavailable, and asks if I want to pick a new one; if I say yes, it shows a window with an empty profile list. gnome-audio-profiles-properties shows the same thing.

I don't know if this is a gconf/gsettings issue, or a missing dep, or what.

Comment 1 Yanko Kaneti 2011-08-04 07:37:18 UTC
I've just seen the same thing here and it seems
something happened to the local(my user) gconf store

$ gconftool-2 -R /system 
wasn't giving anything for /system/gstreamer/0.10/audio
or /schemas/system/gstreamer/0.10/audio

I double checked that the schemas were installed in the system gconf source

So I did a 
# rm ~/.gconf/system -rf
# killall gconfd-2

and verything under /system/gstreamer/0.10   appears as it should be and gnome-audio-profiles-properties shows whats expected

This should be checked on a pristine F16 install and after an upgrade from F15 I'll try to do that sometime soon but any help is welcome.

Comment 2 Adam Williamson 2011-08-05 17:29:51 UTC
hmm...for me, /etc/gconf/schemas/gstreamer-0.10.schemas doesn't have any /gstreamer/0.10/audio stuff, only /gstreamer/0.10/default .

Comment 3 Adam Williamson 2011-08-05 17:30:29 UTC
and I have no ~/.gconf/system , and i've rebooted several times and this issue is still live.

Comment 4 Adam Williamson 2011-08-05 17:44:03 UTC
oh, I see it, it's /etc/gconf/schemas/gnome-media-profiles.schema .

Running 'gconftool-2 --makefile-install-rule /etc/gconf/schemas/gnome-media-profiles.schemas' gives me a big load of 'Installed schema' messages which refer to the 'right' schemas, but subsequently running gconf-editor still doesn't show them, and sound-juicer still has the same problem. odd...

Comment 5 Adam Williamson 2011-08-05 17:49:28 UTC
my F15 machine has the same version of libgnome-media-profiles and no problem. this is a pretty odd bug :(

Comment 6 Adam Williamson 2011-08-23 18:31:44 UTC
Hah. This now seems to have spread to my F15 machine...

Comment 7 Michal Jaegermann 2012-05-14 20:10:35 UTC
This is still completely broken making sound-juicer unusable.  There are no encoders which can be used.  This is the case even after installing
gstreamer-plugins-entrans which claims to provide "multimedia framework specifically geared towards transcoding and recording purposes".
sound-juicer-2.32.0-7.fc15.x86_64 on F16 installation.

grip, thankfully, was not yet "improved" and so far it works (after one gets around the next, fairly recent, "ingenious" move in a war on users).

Comment 8 Adam Williamson 2012-05-14 23:20:18 UTC
I got this fixed somehow or other, but I forget how. I think one of the gstreamer devs helped me.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 9 Adam Williamson 2012-05-14 23:21:01 UTC
BTW, I use morituri for ripping nowadays.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 10 Michal Jaegermann 2012-05-15 05:13:01 UTC
(In reply to comment #8)
> I got this fixed somehow or other, but I forget how.

It is a pity that this "somehow or other" workaround was not documented here.  In any case even if it exists that does not change that sound-juicer "as is" is unusable.

> I use morituri for ripping nowadays

No idea what that may be and yum seems to be in the same position.

Comment 11 Adam Williamson 2012-05-15 05:31:03 UTC
http://thomas.apestaart.org/log/?cat=35



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 12 Fedora End Of Life 2013-01-16 21:08:20 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 13 Fedora End Of Life 2013-02-26 15:18:48 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.